package com.lockscreen.onelock

import android.os.Bundle
import android.os.Handler
import android.support.v7.app.AppCompatActivity
import com.dotools.umlibrary.UMPostUtils

class GuideActivity : AppCompatActivity() {
    private val handler: Handler = Handler()
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_guide)
    }

    override fun onResume() {
        super.onResume()
        UMPostUtils.onActivityResume(this)
        handler.postDelayed({
            finish()
        }, 2000)
    }


    override fun onPause() {
        super.onPause()
        UMPostUtils.onActivityPause(this)
    }

    override fun onDestroy() {
        super.onDestroy()
        handler.removeCallbacksAndMessages(null)
    }

}